<!--
  Generated template for the TabFollowersPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<!--
<ion-header>

  <ion-navbar>
    <ion-title>tab-followers</ion-title>
  </ion-navbar>

</ion-header>
-->


<ion-content padding-top>
  <div text-center margin-top *ngIf="isLoading">
    <ion-spinner name="ios-small"></ion-spinner>
  </div>
  <div *ngIf="!isLoading">
    <ion-list no-lines *ngIf="noResults.value">
      <ion-item no-lines class="my-item" text-wrap>
        <ion-avatar item-start>
          <preload-image [ratio]="{w:1, h:1}" src="./assets/imgs/default_user.png"></preload-image>
        </ion-avatar>
        <p ion-text class="user-fullname">No se encontraron seguidores</p>
      </ion-item>
    </ion-list>

    <ion-list no-lines *ngIf="!noResults.value">
      <ion-item no-lines class="my-item" *ngFor="let relationship of relationships.results">
        <ion-avatar item-start (click)="goProfile(relationship.obj_follower)">
          <preload-image [ratio]="{w:1, h:1}" [src]="relationship.obj_follower.image"></preload-image>
        </ion-avatar>
        <p ion-text class="user-fullname semi-bold" (click)="goProfile(relationship.obj_follower)">{{
          relationship.obj_follower.first_name }} {{ relationship.obj_follower.last_name }}</p>
        <div item-right *ngIf="relationship.isVisible">
          <button *ngIf="!relationship.obj_follower.relationship.is_following" ion-button item-right outline color="white-footer"
            (click)="followUser(relationship)" [disabled]="!relationship.updateRelationship">Seguir</button>
          <button *ngIf="relationship.obj_follower.relationship.is_following" ion-button item-right outline color="walkthrough"
            (click)="unfollowUser(relationship)" [disabled]="!relationship.updateRelationship">Siguiendo</button>
        </div>
      </ion-item>
    </ion-list>
  </div>
</ion-content>